%global momorel 2

Summary: A utility for setting up encrypted filesystems
Name: cryptsetup-luks
Version: 1.0.6
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://luks.endorphin.org/
Source0: http://luks.endorphin.org/source/cryptsetup-%{version}.tar.bz2
NoSource: 0
# 2008-04-15: sent to upstream via personal e-mail to Clemens Fruhwirth
Patch0: cryptsetup-prompt.patch
# 2008-05-28: sent to upstream via newsgroup:
# http://permalink.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/2735
Patch1: cryptsetup-luks-1.0.6-duplicate_sentence.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgcrypt-devel >= 1.4.1-2m, popt, device-mapper
BuildRequires: libgpg-error-devel, e2fsprogs-devel, libsepol-devel
BuildRequires: libselinux-devel
Provides: cryptsetup = %{version}-%{release}
Obsoletes: cryptsetup <= 0.1

%description
This package contains cryptsetup, a utility for setting up
encrypted filesystems using Device Mapper and the dm-crypt target.

%package devel
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libgcrypt-devel > 1.1.42, device-mapper, e2fsprogs-devel
Summary: Headers and libraries for using encrypted filesystems

%description devel
The cryptsetup-luks-devel package contain libraries and header files
used for writing code that makes use of encrypted filesystems.


%prep
%setup -q -n cryptsetup-%{version}
%patch0 -p1 -b .prompt
%patch1 -p1 -b .duplicate_sentence

%build
autopoint --force
aclocal --force -I m4
libtoolize --copy --force
autoconf --force
automake --force --add-missing
%configure --enable-static LDFLAGS=-lsepol
LDADD=-all-static make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}
%makeinstall sbindir=%{buildroot}/sbin
rm -rf  %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/cryptsetup

%find_lang cryptsetup

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f cryptsetup.lang
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
%{_mandir}/man*/*
/sbin/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a

%clean
rm -rf --preserve-root %{buildroot}

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.6-2m)
- rebuild against rpm-4.6

* Thu Jul 17 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6
- import two patches from Fedora devel (1.0.6-3)

* Sat Jun 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.3-5m)
- rebuild against libgcrypt

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-4m)
- rebuild against gcc43

* Tue Jul 31 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-3m)
- add autotools (libtool-1.5.24)

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-2m)
- delete libtool library

* Sun Sep 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-1m)
- import from fc-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.3-2.1
- rebuild

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-2
- put shared libs in the right subpackages

* Fri Apr  7 2006 Bill Nottingham <notting@redhat.com> 1.0.3-1
- update to final 1.0.3

* Wed Feb 27 2006 Bill Nottingham <notting@redhat.com> 1.0.3-0.rc2
- update to 1.0.3rc2, fixes bug with HAL & encrypted devices (#182658)

* Wed Feb 22 2006 Bill Nottingham <notting@redhat.com> 1.0.3-0.rc1
- update to 1.0.3rc1, reverts changes to default encryption type

* Tue Feb 21 2006 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2, fix incompatiblity with old cryptsetup (#176726)

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.0.1-5
- BuildRequires: libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-4.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-4.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Bill Nottingham <notting@redhat.com> 1.0.1-4
- rebuild against new libdevmapper

* Thu Oct 13 2005 Florian La Roche <laroche@redhat.com>
- add -lsepol to rebuild on current fc5

* Mon Aug 22 2005 Karel Zak <kzak@redhat.com> 1.0.1-2
- fix cryptsetup help for isLuks action

* Fri Jul  1 2005 Bill Nottingham <notting@redhat.com> 1.0.1-1
- update to 1.0.1 - fixes incompatiblity with previous cryptsetup for
  piped passwords

* Thu Jun 16 2005 Bill Nottingham <notting@redhat.com> 1.0-2
- add patch for 32/64 bit compatibility (#160445, <redhat@paukstadt.de>)

* Tue Mar 29 2005 Bill Nottingham <notting@redhat.com> 1.0-1
- update to 1.0

* Thu Mar 10 2005 Bill Nottingham <notting@redhat.com> 0.993-1
- switch to cryptsetup-luks, for LUKS support

* Tue Oct 12 2004 Bill Nottingham <notting@redhat.com> 0.1-4
- oops, make that *everything* static (#129926)

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> 0.1-3
- link some things static, move to /sbin (#129926)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> 0.1-1
- initial packaging
